com.brightcove.player.captioning

## Class BrightcoveClosedCaption

- java.lang.Object
- - com.brightcove.player.model.Element
  - - com.brightcove.player.model.StyledElement
    - - com.brightcove.player.model.Block
      - - com.brightcove.player.captioning.BrightcoveClosedCaption

- All Implemented Interfaces:
    java.io.Serializable

      public class BrightcoveClosedCaption
      extends Block

  A class for describing a closed caption, comprised of a start and end time as well as the caption text.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.brightcove.player.model.StyledElement

      `StyledElement.FontStyle, StyledElement.FontWeight, StyledElement.TextAlign, StyledElement.TextDecoration, StyledElement.Unit`

  - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.model.Block

      `beginTime, beginTimeLong, endTime, endTimeLong, region`

    - ### Fields inherited from class com.brightcove.player.model.StyledElement

      `backgroundColor, color, fontFamily, fontSize, fontStyle, fontWeight, styleName, textAlign, textDecoration`

    - ### Fields inherited from class com.brightcove.player.model.Element

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcoveClosedCaption()`
    `BrightcoveClosedCaption(int beginTime, int endTime, java.util.List<java.util.List<Span>> textLines)` Deprecated.
    `BrightcoveClosedCaption(int beginTime, int endTime, java.lang.String caption)` Deprecated.
    `BrightcoveClosedCaption(long beginTime, long endTime, java.util.List<java.util.List<Span>> textLines)` Initializes a Caption with the given begin time, end time, and text lines.
    `BrightcoveClosedCaption(long beginTime, long endTime, java.lang.String caption)` Initializes a Caption with the given begin time, end time, and text lines.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCaption()`
    `java.util.List<java.util.List<Span>>` | `getLines()` The `List` of caption text lines.
    `java.util.ArrayList<java.lang.Integer>` | `getTimeRange()` Deprecated.
    `java.util.ArrayList<java.lang.Long>` | `getTimeRangeLong()`
    `void` | `setLines(java.util.List<java.util.List<Span>> lines)` The `List` of caption text lines.

    - ### Methods inherited from class com.brightcove.player.model.Block

      `getBeginTime, getBeginTimeLong, getEndTime, getEndTimeLong, getRegion, setBeginTime, setBeginTime, setEndTime, setEndTime, setRegion`

    - ### Methods inherited from class com.brightcove.player.model.StyledElement

      `getBackgroundColor, getColor, getFontFamily, getFontSize, getFontStyle, getFontWeight, getStyleName, getTextAlign, getTextDecoration, setBackgroundColor, setColor, setFontFamily, setFontSize, setFontStyle, setFontWeight, setStyleName, setTextAlign, setTextDecoration`

    - ### Methods inherited from class com.brightcove.player.model.Element

      `getID, setID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrightcoveClosedCaption

          public BrightcoveClosedCaption()

    - #### BrightcoveClosedCaption

          @Deprecated
          public BrightcoveClosedCaption(int beginTime,
                                                     int endTime,
                                                     java.util.List<java.util.List<Span>> textLines)

      Deprecated.
      Deprecated. Instead use {`BrightcoveClosedCaption(long, long, List)`}

    - #### BrightcoveClosedCaption

          public BrightcoveClosedCaption(long beginTime,
                                         long endTime,
                                         java.util.List<java.util.List<Span>> textLines)

      Initializes a Caption with the given begin time, end time, and text lines.
      Parameters:
        `beginTime` - the begin time of the caption block, in milliseconds
        `endTime` - the end time of the caption block, in milliseconds
        `textLines` - the List of text lines in this caption block

    - #### BrightcoveClosedCaption

          @Deprecated
          public BrightcoveClosedCaption(int beginTime,
                                                     int endTime,
                                                     java.lang.String caption)

      Deprecated.
      Deprecated. Instead use {`BrightcoveClosedCaption(long, long, String)`}

    - #### BrightcoveClosedCaption

          public BrightcoveClosedCaption(long beginTime,
                                         long endTime,
                                         java.lang.String caption)

      Initializes a Caption with the given begin time, end time, and text lines.
      Parameters:
        `beginTime` - the begin time of the caption block, in milliseconds
        `endTime` - the end time of the caption block, in milliseconds
        `caption` - the caption

  - ### Method Detail

    - #### getLines

          public java.util.List<java.util.List<Span>> getLines()

      The `List` of caption text lines.
      Returns:
        the line list

    - #### setLines

          public void setLines(java.util.List<java.util.List<Span>> lines)

      The `List` of caption text lines.
      Parameters:
        `lines` - the line list

    - #### getCaption

          public java.lang.String getCaption()

    - #### getTimeRange

          @Deprecated
          public java.util.ArrayList<java.lang.Integer> getTimeRange()

      Deprecated.

    - #### getTimeRangeLong

          public java.util.ArrayList<java.lang.Long> getTimeRangeLong()